## org.jfree.xml.util
Class ConstructorDefinition

    java.lang.Object
      org.jfree.xml.util.ConstructorDefinition

    public class ConstructorDefinition

extends java.lang.Object

A constructor definition.

Constructor Summary
`ConstructorDefinition(java.lang.String propertyName, java.lang.Class type)` Creates a new constructor definition.

Method Summary
`java.lang.String` `getPropertyName()` Returns the property name.
`java.lang.Class` `getType()` Returns the type.
`boolean` `isNull()` Returns a flag.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConstructorDefinition

    public ConstructorDefinition(java.lang.String propertyName,
                                 java.lang.Class type)

  Creates a new constructor definition.

  Parameters:
    `propertyName` - the property name.
    `type` - the type.

Method Detail

### getType

    public java.lang.Class getType()

  Returns the type.

  Returns:
    the type.

### isNull

    public boolean isNull()

  Returns a flag.

  Returns:
    a boolean.

### getPropertyName

    public java.lang.String getPropertyName()

  Returns the property name.

  Returns:
    the property name.